>From 11096155c0ca1fe1bf1ab2a75cdb3a93876c99ef Mon Sep 17 00:00:00 2001
From: Zoran Turalija <zoran.turalija@gmail.com>
Date: Tue, 23 Apr 2013 10:50:31 +0200
Subject: [PATCH 1/2] hotkeys: Added OSD messages for toggle repeat playlist
 action.

Resolves part of ticket #7933
---
 modules/control/hotkeys.c |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/modules/control/hotkeys.c b/modules/control/hotkeys.c
index 8589f3f..6e18fea 100644
--- a/modules/control/hotkeys.c
+++ b/modules/control/hotkeys.c
@@ -186,8 +186,12 @@ static int PutAction( intf_thread_t *p_intf, int i_action )
             break;
 
         case ACTIONID_RANDOM:
-            var_ToggleBool( p_playlist, "random" );
+        {
+            DisplayMessage( p_vout, _("Random: %s"),
+                            vlc_gettext( var_ToggleBool( p_playlist, "random" )
+                            ? N_("On") : N_("Off") ) );
             break;
+        }
 
         case ACTIONID_NEXT:
             DisplayMessage( p_vout, _("Next") );
-- 
1.7.10.4

